Patch SCIM User
curl --request PATCH \
--url https://api.attention.tech/v2/scim/Users/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"value": {
"active": false
}
}
]
}
'import requests
url = "https://api.attention.tech/v2/scim/Users/{id}"
payload = {
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
"Operations": [
{
"op": "replace",
"value": { "active": False }
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp'],
Operations: [{op: 'replace', value: {active: false}}]
})
};
fetch('https://api.attention.tech/v2/scim/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d0dd58e43ded4293a61a8760fcba0458",
"externalId": "00ustvXq1A8UAuobW0f5",
"meta": {
"created": "04-17-2020 00:00:00",
"lastModified": "04-17-2020 00:00:00",
"version": "v1.0"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:scim:schemas:extension:okta:1.0"
],
"userName": "steph.c@example.com",
"displayName": " Steph Curry",
"preferredLanguage": "en",
"locale": "en-US",
"timezone": "America/Los_Angeles",
"active": true,
"emails": [
{
"value": "steph.c@example.com",
"type": "work",
"primary": true
}
],
"phoneNumbers": [
{
"value": "123-444-5555",
"type": "mobile"
}
],
"groups": [],
"name": {
"familyName": "Curry",
"givenName": "Steph"
},
"urn:okta:onprem_app:1.0:user:custom": {
"roleUUID": "84e67f54-5157-442b-a2b3-8b9c728b2fef"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"code": 401,
"message": "unauthenticated for Invalid API key"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}Scim
Patch SCIM User
Partially updates a user.
PATCH
/
scim
/
Users
/
{id}
Patch SCIM User
Authorizations
Path Parameters
SCIM ID of the user
Body
application/jsonapplication/scim+json
Response
User patched successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I